<?php
require '../system/config.inc.php';
require '../system/functions.inc.php';
require '../system/head.inc.php';

/** проверяем админ или нет **/
if($user['level']!=2)
{
mError('Отказ доступа','У Вас недостаточно привелегий для доступа в админ-панель');
}

/** имена таблиц **/
$tables = array('ban','forums','messages','profile','smiles','themes','topics','users');
$backup_dir = './backups/';

switch($_GET['mode'])
{

###################################################
/** ОПТИМИЗАЦИЯ ТАБЛИЦ **/
case 'optimize':

/** запускаем цикл и проводим оптимизацию **/
foreach($tables as $table)
{
mysql_query('OPTIMIZE TABLE `'.$mysql['prefix'].$table.'`', $db_handle);
if(mysql_error()) mError('Ошибка БД', mysql_error());
}

/** перекидываем в админку **/
header('location: index.php');
break;

###################################################
/** УПРАВЛЕНИЕ BackUp`aми **/
case 'manage_backup':

/** выводим верх страницы **/
head('Админ панель :: Управление BackUp`ами');
echo '<p class="head"><b>Управление BackUp`ами</b></p>
<p class="body"><b>Существующие бэкапы:</b></p>';

/** получаем существующие бэкапы **/
$backups = array_diff(scandir($backup_dir),array('.','..','.htaccess'));

/** выводим бэкапы **/
if(count($backups))
{
foreach($backups as $file)
{
echo '<p class="body"><b class="green">'.$file.'</b> [<a href="?mode=delete_backup&amp;file='.$file.'" class="red">удалить</a>]<br/>
<small>('.rus_date(pathinfo($file,PATHINFO_FILENAME),'d /m/ Y, H:i').') ['.filesize($backup_dir.$file).' байт]</small></p>';
}
}
else
{
echo '<p class="body">Ни одного BackUp`a не создано</p>';
}


/** выводим низ **/
echo '<p><small>[<a href="?mode=create_backup">Создать новый</a>]</small></p>';
echo '<p class="foot"><a href="index.php">Админ-панель</a> / Управление BackUp`ами</p>
';
foot();
break;

###################################################
/** УДАЛЕНИЕ БЭКАПА **/
case 'delete_backup':
if(!isset($_GET['file']) or !is_file($backup_dir.pathinfo($_GET['file'],PATHINFO_BASENAME)))
{
header('location: ?mode=manage_backup');
exit;
}

$file = $backup_dir.pathinfo($_GET['file'],PATHINFO_BASENAME);
$time = pathinfo($file,PATHINFO_FILENAME);

if(!isset($_GET['delete']))
{
head('Админ панель :: Удаление BackUp`a');
echo '<p class="head"><b>Удаление BackUp`a</b></p>
<p class="body">Вы действительно хотите удалить бэкап от '.rus_date($time,'d /m/ Y, H:i').'?</p>
<p class="body"><a href="?mode=delete_backup&amp;file='.$file.'&amp;delete">Да</a></p>
<p class="body"><a href="?mode=manage_backup">Нет</a></p>
<p class="foot"><a href="index.php">Админ-панель</a> / Удаление BackUp`а</p>
';
foot();
}
else
{
unlink($file);
header('location: ?mode=manage_backup');
}

break;

###################################################
/** СОЗДАНИЕ БЭКАПА **/
case 'create_backup':

/** создаем файл для бэкапа и открываем его для записи **/
$filename = time().'.sql';
$fo = fopen($backup_dir.$filename,'w');
flock($fo, LOCK_EX);
fwrite($fo,'-- BackUp Lite Forum от '.rus_date(time(),'d /m/ Y, H:i'));

/** запускаем цикл и сливаем данные в файл **/
foreach($tables as $table)
{
/** структура таблицы **/
$q = mysql_query('SHOW CREATE TABLE `'.$mysql['prefix'].$table.'`', $db_handle);
$r = mysql_fetch_array($q);

fwrite($fo, "\n\n-- ----------\n-- ".$mysql['prefix'].$table."\n-- ----------\n".$r['Create Table'].";\n\n");

/** данные таблицы **/
$q2 = mysql_query('SELECT * FROM `'.$mysql['prefix'].$table.'`', $db_handle);
if(mysql_num_rows($q2))
{
$data = array();
while($r2 = mysql_fetch_array($q2))
{
$arr = array();
$c = sizeof($r2)/2;
for($i=0;$i<$c;$i++)
{
if(!is_numeric($r2[$i]))
{
$arr[]='"'.mysql_real_escape_string(stripslashes($r2[$i])).'"';
}
else
{
$arr[]=$r2[$i];
}
}
$data[]="(".implode(',',$arr).")";
}
fwrite($fo, "INSERT INTO `".$mysql['prefix'].$table."` VALUES\n".implode(",\n",$data).";");
}
}

/** закрываем файл **/
flock($fo,LOCK_UN);
fclose($fo);

/** перекидываем на управление бэками **/
header('location: mysql.php?mode=manage_backup');
break;

###################################################
/** УДАЛЕНИЕ ТАБЛИЦ ФОРУМА **/
case 'clear':

if(!isset($_GET['delete']))
{
/** выводим верх **/
head('Админ панель :: УДАЛЕНИЕ ТАБЛИЦ ФОРУМА');

/** выводим предупреждение **/
echo '<p class="head"><b class="red">!!!УДАЛЕНИЕ ТАБЛИЦ ФОРУМА!!!</b></p>
<p class="body"><b class="red">Вы действительно хотите удалить из БД все таблицы и данные форума?</p>
<p class="body">После удаления пользование форумом будет невозможно, до тех пор пока вы не зальете новые таблицы, либо BackUP.</p>
<p class="body">Пользование данной панелью также будет не возможно!!!</b></p>
<p class="body"><a href="?mode=clear&amp;delete"><b>Да</b></a></p>
<p class="body"><a href="index.php"><b>Нет</b></a></p>';

/** выводим низ **/
echo '<p class="foot"><a href="index.php">Админ-панель</a> / Удаление таблиц</p>
';
foot();
}
else
{
/** производим удаление **/
foreach($tables as $table)
{
mysql_query('DROP TABLE `'.$mysql['prefix'].$table.'`');
}
header('location: ../index.php');
}
break;

###################################################
default:
/** перекидываем в админку, если не задан мод **/
header('location: index.php');
break;
}

?>