<?php
require '../system/config.inc.php';
require '../system/functions.inc.php';
require '../system/head.inc.php';

/** определяем заголовок **/
$title = array('add'=>'Добавление смайла', 'edit'=>'Редактирование смайла', 'delete'=>'Удаление смайла');
if(!isset($_GET['mode']) or !in_array($_GET['mode'], array_keys($title)))
{
header('location: index.php');
exit();
}

/** выводим верх страницы **/
head($title[$_GET['mode']]);
echo '<p class="head"><b>'.$title[$_GET['mode']].'</b></p>';

/**  **/
switch($_GET['mode'])
{
/** ДОБАВЛЕНИЕ **/
case 'add':
/** проверяем задан ли новый смайл **/
if(!isset($_GET['image']) or !isset($_GET['text']) or empty($_GET['image']) or empty($_GET['text']))
{
/** выводим форму для добавления смайла **/
echo '<form action="?" method="get">
Картинка: <small>(должна находится в папке smiles/)</small><br/>
<input type="text" name="image"/><br/>
Текстовый эквивалент:<br/>
<input type="text" name="text"/><br/>
<input type="hidden" name="mode" value="add"/>
<input type="submit" value="Добавить"/>
</form>';
}
else
{
/** получаем данные **/
$image = mysql_real_escape_string($_GET['image']);
$text = mysql_real_escape_string($_GET['text']);

/** производим запрос на добавление смайла **/
mysql_query("insert into `".$mysql['prefix']."smiles` values('','$image','$text')", $db_handle);

/** выводим результат **/
if(!mysql_error())
{
echo '<p class="body">Смайл добавлен</p>';
}
else
{
mError('Ошибка БД', mysql_error());
}

}

break;

/** РЕДАКТИРОВАНИЕ **/
case 'edit':
/** проверяем передан ли ID редактируемого смайла **/
if(!isset($_GET['id']))
{
/** выводим форму для выбора смайла **/
$query = mysql_query('select * from `'.$mysql['prefix'].'smiles`', $db_handle);

echo '<form action="?" method="get">
Выберите смайл:<br/>
<select name="id">
';

while($result = mysql_fetch_assoc($query))
{
echo '<option value="'.$result['id'].'">'.$result['id'].') '.htmlspecialchars(stripslashes($result['text'])).'</option>
';
}

echo '</select><br/>
<input type="hidden" name="mode" value="edit"/>
<input type="submit" value="Редактировать"/>
</form>';
}
else
{
/** получаем ID **/
$id = intval($_GET['id']);

/** Проверяем существование **/
$query = mysql_query('select * from `'.$mysql['prefix'].'smiles` where `id`='.$id, $db_handle);
if(!mysql_num_rows($query)) mError('Ошибка данных', 'Смайл с заданным ID в базе отсутствует');

/** проверяем заданы ли новые данные **/
if(!isset($_GET['image']) or !isset($_GET['text']) or empty($_GET['image']) or empty($_GET['text']))
{
/** получаем старые данные из базы **/
$result = mysql_fetch_assoc($query);

/** выводим форму для редактирования **/
echo '<form action="?" method="get">
Картинка: <small>(должна находится в папке smiles/)</small><br/>
<input type="text" name="image" value="'.htmlspecialchars(stripslashes($result['image'])).'"/><br/>
Текстовый эквивалент:<br/>
<input type="text" name="text" value="'.htmlspecialchars(stripslashes($result['text'])).'"/><br/>
<input type="hidden" name="mode" value="edit"/>
<input type="hidden" name="id" value="'.$id.'"/>
<input type="submit" value="Сохранить"/>
</form>';
}
else
{
/** получаем данные **/
$image = mysql_real_escape_string($_GET['image']);
$text = mysql_real_escape_string($_GET['text']);

/** производим запрос на перезапись данных **/
mysql_query("update `".$mysql['prefix']."smiles` set `image`='$image', `text`='$text' where `id`='$id'", $db_handle);

/** выводим результат **/
if(!mysql_error())
{
echo '<p class="body">Изменения сохранены</p>';
}
else
{
mError('Ошибка БД', mysql_error());
}
}
}

break;

/** УДАЛЕНИЕ **/
case 'delete':

/** проверяем задан ли ID удаляемого смайла **/
if(!isset($_GET['id']))
{
/** запрос на получение списка смайлов **/
$query = mysql_query('select * from `'.$mysql['prefix'].'smiles`', $db_handle);

/** выводим форму для выбора смайла **/
echo '<form action="?" method="get">
Выберите смайл:<br/>
<select name="id">
';

while($result = mysql_fetch_assoc($query))
{
echo '<option value="'.$result['id'].'">'.$result['id'].') '.htmlspecialchars(stripslashes($result['text'])).'</option>
';
}

echo '</select><br/>
<input type="hidden" name="mode" value="delete"/>
<input type="submit" value="Удалить"/>
</form>';
}
else
{
/** получаем ID **/
$id = intval($_GET['id']);

/** проверяем на существование **/
$query = mysql_query('select * from `'.$mysql['prefix'].'smiles` where `id`='.$id, $db_handle);
if(!mysql_num_rows($query)) mError('Ошибка данных', 'Смайл с заданным ID в базе отсутствует');

/** проверяем подтверждение **/
if(!isset($_GET['delete']))
{
$result = mysql_fetch_assoc($query);

/** выводим предупреждение **/
echo '<p class="body">Вы действительно хотите удалить смайл <img src="../smiles/'.htmlspecialchars(stripslashes($result['image'])).'" alt=""/> - '.htmlspecialchars(stripslashes($result['text'])).' ?</p>
<p class="body"><a href="?id='.$id.'&amp;mode=delete&amp;delete">Да</a></p>
<p class="body"><a href="?mode=delete">Нет</a></p>';
}
else
{
/** запрос на удаление **/
mysql_query('delete from `'.$mysql['prefix'].'smiles` where `id`='.$id, $db_handle);

/** выводим результат **/
if(!mysql_error())
{
echo '<p class="body">Смайл удален</p>';
}
else
{
mError('Ошибка БД', mysql_error());
}
}
}
break;

/** если передан "левый" мод **/
default:
header('location: index.php');
exit();
break;
}

/** выводим низ страницы **/
echo '<p class="foot">
<a href="index.php">Админ-панель</a> / '.$title[$_GET['mode']].'
</p>';
?>