<?php
require 'system/config.inc.php';
require 'system/functions.inc.php';
require 'system/head.inc.php';
session_start();

if(!isset($_SESSION['kapcha']))
{
$_SESSION['kapcha'] = rand(1111,9999);
}

/** проверяем не является пользователь уже зарегистрированным и авторизованным **/
if ($user['auth'] == true)
{
mError('Общая ошибка', 'Вы уже являетесь зарегистрированным пользователем нашего сайта');
}

/** выводим шапку **/
head('Регистрация на форуме');
echo '<p class="head"><b>Регистрация</b></p>
';

/** проверяем заполненность формы **/
if (!isset($_POST['login']) or !isset($_POST['password']) or !isset($_POST['second_pass']) or empty($_POST['login']) or empty($_POST['password']) or empty($_POST['second_pass']) or !isset($_POST['kapcha']) or empty($_POST['kapcha']) or !isset($_SESSION['kapcha']) or empty($_SESSION['kapcha']))
{

/** выводим форму для заполнения **/
echo '<form action="?" method="post">
Псевдоним:<br/>
<input type="text" name="login"/><br/>
Пароль:<br/>
<input type="password" name="password"/><br/>
Повторите пароль:<br/>
<input type="password" name="second_pass"/><br/>
Введите <b>'.$_SESSION['kapcha'].'</b><br/>
<input type="text" name="kapcha"/><br/>
<input type="submit" value="Зарегистрироваться"/>
</form>';
}
else
{
/** обрабатываем введенные данные **/
$login = mysql_real_escape_string($_POST['login']);
$password = md5($_POST['password']);
$kapcha = intval($_POST['kapcha']);

/** проверяем логин **/
if(!is_login($_POST['login']))
{
mError('Ошибка данных', 'Логин не соответствует заданным требованиям<br/><a href="'.$_SERVER['PHP_SELF'].'">Назад</a>');
}

if(mysql_num_rows(mysql_query("SELECT `id` FROM `".$mysql['prefix']."users` WHERE `login`='$login'", $db_handle)))
{
mError('Ошибка данных', 'Пользователь с таким логином уже существует<br/><a href="'.$_SERVER['PHP_SELF'].'">Назад</a>');
}

/** проверяем пароль **/
if(!is_password($_POST['password']))
{
mError('Ошибка данных', 'Пароль не соответствует заданным требованиям<br/><a href="'.$_SERVER['PHP_SELF'].'">Назад</a>');
}

if($_POST['password']!=$_POST['second_pass'])
{
mError('Ошибка данных', 'Пароли не совпадают<br/><a href="'.$_SERVER['PHP_SELF'].'">Назад</a>');
}

/** проверяем капчу **/
if($_SESSION['kapcha']!=$kapcha)
{
mError('Ошибка данных', 'Цифры введены не верно<br/><a href="'.$_SERVER['PHP_SELF'].'">Назад</a>');
}
unset($_SESSION['kapcha']);

/** производим запись **/
mysql_query("INSERT INTO `".$mysql['prefix']."users` VALUES('', '$login', '$password','".time()."','".time()."','0','0');", $db_handle);

/** выводим результат регистрации **/
if(!mysql_error())
{
echo '<p class="body">Вы успешно зарегистрированны<br/>
<a href="authorization.php?login='.htmlspecialchars($_POST['login']).'&amp;password='.htmlspecialchars($_POST['password']).'">Авторизоваться</a></p>';
}
else
{
mError('Ошибка БД', mysql_error());
}
}

/** выводим низ **/
echo '<p class="foot"><a href="index.php">'.$sets['forum_name'].'</a> / Регистрация</p>
';
foot();
?>