<?php
require 'system/config.inc.php';
require 'system/functions.inc.php';
require 'system/head.inc.php';

/** поля анкеты ('имя в таблице БД'=>'обозначение') **/
$fields['first'] = array('status'=>'Статус','name'=>'Имя','lastname'=>'Фамилия','growth'=>'Рост','weight'=>'Вес');
$fields['second'] = array('education'=>'Образование','country'=>'Страна','region'=>'Регион','city'=>'Город','life'=>'Образ жизни','interests'=>'Интересы','hobby'=>'Хобби','telephone'=>'Номер телефона','icq'=>'ICQ','mobile'=>'Модель телефона','opsos'=>'Оператор','site'=>'Сайт');
$sex = array('0'=>'Женский','1'=>'Мужской');

/** привилегии **/
$level = array('пользователь', 'модератор', 'администратор');

/** проверяем задан ли ID **/
if(!isset($_GET['id']))
{
mError('Ошибка данных', 'Не задан ID пользователя');
}

/** приводим ID в безопасный вид **/
$id = intval($_GET['id']);

/** запрос на получение данных пользователя по ID **/
$query = mysql_query('select * from `'.$mysql['prefix'].'users` where `id`='.$id, $db_handle);

/** если запись по ID не обнаружена **/
if(!mysql_num_rows($query))
{
mError('Ошибка данных', 'Записи в БД с заданным ID пользователя не обнаружено. Возможно он был удален');
}

/** обрабатываем данные **/
$result = mysql_fetch_assoc($query);
$login = htmlspecialchars(stripslashes($result['login']));
$count_bans = mysql_result(mysql_query('select count(*) from `'.$mysql['prefix'].'ban` where `user_id`='.$id, $db_handle),0);

/** выводим страничку **/
head('Просмотр сведений о пользователе '.$login);
echo '<p class="head"><b>'.$login.'</b><small> / ID: '.$id.'</small></p>
<p class="body">Привилегии: '.$level[$result['level']].'</p>
<p class="body">Дата регистрации: '.rus_date($result['create'],'d /m/ Y, H:i:s').'</p>
<p class="body">Последний визит: '.rus_date($result['last_visit'],'d /m/ Y, H:i:s').'</p>
<p class="body">Сообщений на форуме: '.$result['count_messages'].'</p>
<p class="body">Нарушений: <a href="ban_history'.$id.'">'.$count_bans.'</a></p>
';

/** проверяем существование анкеты и её приватность **/
$query = mysql_query('select * from `'.$mysql['prefix'].'profile` where `id`='.$id, $db_handle);

if(mysql_num_rows($query))
{
$profile = mysql_fetch_assoc($query);
if($profile['visible']==1 or ($profile['visible']==0 and $user['auth']))
{
/** выводим анкету **/
echo '<p class="body"><b class="red">Анкета:</b></p>';

foreach($fields['first'] as $field=>$info)
{
if(!empty($profile[$field]))
echo '<p class="body">'.$info.': <b>'.htmlspecialchars(stripslashes($profile[$field])).'</b></p>
';
}

if($profile['birthday']!=0)
echo '<p class="body">Дата рождения: <b>'.rus_date($profile['birthday']).'</b></p>
<p class="body">Возраст: <b>'.(date('Y',(time()-$profile['birthday']))-1970).'</b></p>
';
echo '<p class="body">Пол: <b>'.$sex[$profile['sex']].'</b></p>';

foreach($fields['second'] as $field=>$info)
{
if(!empty($profile[$field]))
echo '<p class="body">'.$info.': <b>'.htmlspecialchars(stripslashes($profile[$field])).'</b></p>
';
}

}
/** анкета закрыта и пользователь не авторизован **/
else
{
echo '<p class="body">Анкета: доступна только зарегистрированным</p>
';
}
}
/** анкета не создана **/
else
{
echo '<p class="body">Анкета: отсутствует</p>
';
}

/** пользовательское меню **/
echo '<p class="foot">';

if($user['auth'] and get_id($_COOKIE['login'])==$id)
{
echo '[';
echo (isset($profile['visible'])) ? '<a href="profile?edit">Редактировать анкету</a>' : '<a href="profile?create">Создать анкету</a>';
echo ']<br/>';
}

if($user['auth'] and $user['level']>0)
{
echo '<small>[Наказания: <a href="admin/user_ban.php?id='.$id.'&amp;enter">добавить</a> / <a href="admin/user_ban.php?id='.$id.'&amp;exit">удалить</a>]<br/>
[<a href="moderation.php?mode=user&amp;operation=recount&amp;id='.$id.'">Пересчитать кол-во постов</a>]</small><br/>';
}

/** выводим низ страницы **/
echo '<a href="users">Пользователи</a> / '.$login.'<br/>
[<a href="index.php">'.$sets['forum_name'].'</a>]
</p>';
foot();
?>