-- BackUp Lite Forum от 23 мар 2011, 16:01

-- ----------
-- ban
-- ----------
CREATE TABLE `ban` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `moder_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `reason` varchar(900) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------
-- forums
-- ----------
CREATE TABLE `forums` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------
-- messages
-- ----------
CREATE TABLE `messages` (
  `id` int(11) NOT NULL auto_increment,
  `theme_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `source` mediumtext NOT NULL,
  `message` mediumtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------
-- profile
-- ----------
CREATE TABLE `profile` (
  `id` int(11) NOT NULL,
  `birthday` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `lastname` varchar(200) NOT NULL,
  `country` varchar(200) NOT NULL,
  `region` varchar(200) NOT NULL,
  `city` varchar(200) NOT NULL,
  `life` varchar(200) NOT NULL,
  `e-mail` varchar(200) NOT NULL,
  `icq` int(9) NOT NULL,
  `mobile` varchar(200) NOT NULL,
  `telephone` varchar(20) default NULL,
  `interests` varchar(200) NOT NULL,
  `hobby` varchar(200) NOT NULL,
  `sex` int(1) NOT NULL,
  `growth` int(3) NOT NULL,
  `weight` int(3) NOT NULL,
  `education` varchar(1000) NOT NULL,
  `site` varchar(200) NOT NULL,
  `status` varchar(1000) NOT NULL,
  `opsos` varchar(200) NOT NULL,
  `visible` int(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



-- ----------
-- smiles
-- ----------
CREATE TABLE `smiles` (
  `id` int(11) NOT NULL auto_increment,
  `image` varchar(50) NOT NULL,
  `text` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `image` (`image`,`text`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `smiles` VALUES
(1,"1.gif",":)"),
(2,"2.gif",":("),
(3,"3.gif",";("),
(4,"4.gif",":-)"),
(5,"5.gif",":hack:"),
(6,"6.gif","%)"),
(7,"7.gif",":bag:"),
(8,"8.gif","%]"),
(9,"9.gif",":R"),
(10,"10.gif",":X"),
(11,"11.gif",":crazy:"),
(12,"12.gif",":hi:"),
(13,"13.gif",":))"),
(14,"14.gif",";/"),
(15,"15.gif",":dance:"),
(16,"16.gif",":gg:"),
(17,"17.gif",":xaxa:"),
(18,"18.gif",":hh:"),
(19,"19.gif",":lol:"),
(20,"20.gif",":up:"),
(21,"21.gif","%("),
(22,"22.gif",":scream:"),
(23,"23.gif",":where:"),
(24,"24.gif",":shef:");

-- ----------
-- themes
-- ----------
CREATE TABLE `themes` (
  `id` int(11) NOT NULL auto_increment,
  `forum_id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  `top` tinyint(1) NOT NULL,
  `close` tinyint(1) NOT NULL,
  `user_id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `last_message_time` int(11) NOT NULL,
  `count_messages` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------
-- topics
-- ----------
CREATE TABLE `topics` (
  `id` int(11) NOT NULL auto_increment,
  `forum_id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `count_themes` int(11) default '0',
  `count_messages` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------
-- users
-- ----------
CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(80) NOT NULL,
  `password` varchar(32) NOT NULL,
  `create` int(11) NOT NULL,
  `last_visit` int(11) NOT NULL,
  `count_messages` int(11) NOT NULL default '0',
  `level` smallint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;